com.smartgwt.client.types

## Enum ProportionalResizeMode

- java.lang.Object
- - java.lang.Enum<ProportionalResizeMode>
  - - com.smartgwt.client.types.ProportionalResizeMode

- All Implemented Interfaces:
    ValueEnum, java.io.Serializable, java.lang.Comparable<ProportionalResizeMode>

      public enum ProportionalResizeMode
      extends java.lang.Enum<ProportionalResizeMode>
      implements ValueEnum

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALWAYS` proportional resizing is always used
    `MODIFIER` proportional resize is off by default, but holding down one of the `Canvas.proportionalResizeModifiers` turns proportional resize on for a given resize interaction
    `MODIFIER_OFF` proportional resize is on by default, but holding down one of the `Canvas.proportionalResizeModifiers` turns proportional resize off for a given resize interaction
    `NONE` proportional resizing is never used

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static ProportionalResizeMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ProportionalResizeMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final ProportionalResizeMode NONE

      proportional resizing is never used

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "none".

    - #### ALWAYS

          public static final ProportionalResizeMode ALWAYS

      proportional resizing is always used

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "always".

    - #### MODIFIER

          public static final ProportionalResizeMode MODIFIER

      proportional resize is off by default, but holding down one of the `Canvas.proportionalResizeModifiers` turns proportional resize on for a given resize interaction

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "modifier".

    - #### MODIFIER_OFF

          public static final ProportionalResizeMode MODIFIER_OFF

      proportional resize is on by default, but holding down one of the `Canvas.proportionalResizeModifiers` turns proportional resize off for a given resize interaction

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "modifierOff".

  - ### Method Detail

    - #### values

          public static ProportionalResizeMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ProportionalResizeMode c : ProportionalResizeMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ProportionalResizeMode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Specified by:
        `getValue` in interface `ValueEnum`